<mat-expansion-panel *ngIf="address">
  <mat-expansion-panel-header>
    <mat-panel-title *ngIf="!editMood">
      {{address.name}}
    </mat-panel-title>

    <mat-panel-title *ngIf="editMood">
      <input matInput value= {{address.name}} [formControl]="editedname">
    </mat-panel-title>

  </mat-expansion-panel-header>
  <div *ngIf="!editMood">{{address.address}}</div>

  <div *ngIf="editMood">
    <input matInput [formControl]="editedaddress">
    <button mat-button color="primary" (click)="editAddress(address.id)">submit</button>
  </div>
        <app-map [coordinates]="address.lng" [draggable]=false></app-map>
  <mat-action-row>
    <button mat-button color="warn" (click)="deleteAddress(address.id)">DELETE</button>
    <button mat-button color="primary" (click)="onEditClick()">EDIT</button>
    <button mat-button color="primary" (click)="onAddFavoriteClick()" *ngIf="FavoriteMood===true">ADD TO FAVORITE</button>
  </mat-action-row>
</mat-expansion-panel>
